IvyArtifactProperty
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.ant
Class IvyArtifactProperty

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.ivy.ant.IvyTask
                  org.apache.ivy.ant.IvyPostResolveTask
                      org.apache.ivy.ant.IvyArtifactProperty

All Implemented Interfaces:
  java.lang.Cloneable

    public class IvyArtifactProperty

extends IvyPostResolveTask

Set a set of ant properties according to the last artifact resolved

Field Summary

Fields inherited from class org.apache.ivy.ant.IvyTask
`ANT_PROJECT_CONTEXT_KEY`

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`IvyArtifactProperty()`

Method Summary
`void` | `doExecute()` The real logic of task execution after project has been set in the context.
`java.lang.String` | `getName()`
`java.lang.String` | `getValue()`
`void` | `setName(java.lang.String name)`
`void` | `setOverwrite(boolean overwrite)`
`void` | `setValue(java.lang.String value)`

Methods inherited from class org.apache.ivy.ant.IvyPostResolveTask
`createConflict, createDependency, createExclude, ensureResolved, getArtifactFilter, getBranch, getConf, getConfsToResolve, getConfsToResolve, getFile, getLog, getModule, getOrganisation, getResolvedModuleId, getResolvedMrid, getResolvedReport, getResolveId, getResolveMode, getRevision, getType, isChanging, isHaltonfailure, isInline, isKeep, isRefresh, isTransitive, isUseOrigin, prepareAndCheck, setBranch, setCache, setChanging, setConf, setFile, setHaltonfailure, setInline, setKeep, setLog, setModule, setOrganisation, setRefresh, setResolveId, setResolveMode, setRevision, setTransitive, setType, setupResolve, setUseOrigin`

Methods inherited from class org.apache.ivy.ant.IvyTask
`cacheAttributeNotSupported, doValidate, execute, finalizeTask, getIvyInstance, getProperty, getProperty, getProperty, getProperty, getPubDate, getResolvedConfigurations, getResolvedDescriptor, getResolvedDescriptor, getResolvedDescriptor, getResolvedDescriptor, getResolvedReport, getSettings, getSettingsRef, isValidate, mergeConfs, prepareTask, setResolved, setResolved, setSettingsRef, setValidate, splitConfs, toString`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IvyArtifactProperty

    public IvyArtifactProperty()

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getValue

    public java.lang.String getValue()

### setValue

    public void setValue(java.lang.String value)

### setOverwrite

    public void setOverwrite(boolean overwrite)

### doExecute

    public void doExecute()
                   throws org.apache.tools.ant.BuildException

  Description copied from class: `IvyTask`
  The real logic of task execution after project has been set in the context. MUST be implemented by subclasses

  Specified by:
    `doExecute` in class `IvyTask`
  Throws:
    `org.apache.tools.ant.BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD